<script lang="ts">
	interface Props {
		activePage?: string;
	}

	let { activePage = '' }: Props = $props();

</script>

<div class="nav">
	<div class="nav-item" style="margin-left: 0px">
		<a href="/" aria-label="Home Page">
			<svg viewBox="0 -256 1792 1792" id="svg3013" version="1.1" width="100%" height="100%">
				<g transform="matrix(1,0,0,-1,68.338983,1285.4237)" id="g3015">
					<path
						class="accent"
						class:active={'/' === activePage}
						d="M 1408,544 V 64 Q 1408,38 1389,19 1370,0 1344,0 H 960 V 384 H 704 V 0 H 320 q -26,0 -45,19 -19,19 -19,45 v 480 q 0,1 0.5,3 0.5,2 0.5,3 l 575,474 575,-474 q 1,-2 1,-6 z m 223,69 -62,-74 q -8,-9 -21,-11 h -3 q -13,0 -21,7 L 832,1112 140,535 q -12,-8 -24,-7 -13,2 -21,11 l -62,74 q -8,10 -7,23.5 1,13.5 11,21.5 l 719,599 q 32,26 76,26 44,0 76,-26 l 244,-204 v 195 q 0,14 9,23 9,9 23,9 h 192 q 14,0 23,-9 9,-9 9,-23 V 840 l 219,-182 q 10,-8 11,-21.5 1,-13.5 -7,-23.5 z"
						id="path3017"
					/>
				</g>
			</svg>
		</a>

		<a href="/" class="nav-item-text accent" class:active={'/' === activePage}>Home</a>
	</div>

	<div class="nav-item" style="margin-left: 0px">
		<a href="/distance" aria-label="Distance Page">
			<svg version="1.1" x="0px" y="0px" viewBox="0 0 1000 1000">
				<g>
					<path
						class="accent"
						class:active={'/distance' === activePage}
						d="M209.9,423.4L209.9,423.4c0.5,1.3,0.9,2.6,1.3,3.9c3.4,6.8,17.4,31.4,74.5,118.8l188.9,305.7c0.1,0.2,0.2,0.3,0.3,0.5l0.1,0.2c5.3,8.5,14.6,14.1,25.1,14.1s19.8-5.6,25.1-14.1l0.1-0.2c0.1-0.2,0.2-0.3,0.3-0.5l188.9-305.9c57-87.3,70.9-111.8,74.4-118.6c0.4-1.3,0.9-2.6,1.2-3.9l0.1-0.1c10.3-31.8,15.5-65,15.5-98.8c0-42.4-8.1-83.5-24-122.1c-15.4-37.4-37.5-70.9-65.5-99.8c-28-28.9-60.8-51.5-97.1-67.3c-37.6-16.3-77.7-24.7-118.9-24.7c-41.2,0-81.3,8.3-118.9,24.7c-36.4,15.8-69,38.4-97.1,67.3s-50.1,62.4-65.5,99.8c-15.9,38.7-24,79.7-24,122.1c0,33.8,5.2,67.1,15.5,98.8l0,0L209.9,423.4z M500.1,193.1c67.9,0,122.9,55,122.9,122.9c0,67.9-55,122.9-122.9,122.9c-67.9,0-122.9-55-122.9-122.9C377.2,248.1,432.2,193.1,500.1,193.1L500.1,193.1z"
					/>
					<path
						class="dark"
						class:active={'/distance' === activePage}
						d="M964.5,774c-10.6-11.2-24.2-21-41.7-29.9c-26.3-13.5-62.3-25.2-106.8-34.9c-35.5-7.7-75.6-13.9-119.1-18.6l-36.1,58.4c156.9,13.8,267.6,47.1,267.6,86c0,51.2-191.8,92.8-428.4,92.8c-236.6,0-428.4-41.6-428.4-92.8c0-38.9,110.7-72.2,267.7-86l-36.1-58.4c-43.4,4.7-83.7,10.9-119.2,18.6c-44.6,9.7-80.5,21.4-106.8,34.9C59.8,753,46.1,762.8,35.5,774C14.4,796.4,10,819.6,10,835c0,15.5,4.4,38.7,25.5,61c10.6,11.2,24.2,21,41.7,29.9c26.3,13.5,62.3,25.2,106.8,34.9c85.1,18.4,197.3,28.6,316,28.6c118.7,0,230.9-10.2,316-28.6c44.6-9.7,80.5-21.4,106.8-34.9c17.4-8.9,31.1-18.7,41.7-29.9c21.1-22.3,25.5-45.5,25.5-61C990,819.6,985.6,796.4,964.5,774L964.5,774z"
					/>
				</g>
			</svg>
		</a>

		<a href="/distance" class="nav-item-text accent" class:active={'/distance' === activePage}>Add Distance</a>
	</div>

	<div class="nav-item" style="margin-left: 0px">
		<a href="/settings" aria-label="Settings Page">
			<svg
				version="1.1"
				x="0px"
				y="0px"
				viewBox="0 0 1000 1000"
				enable-background="new 0 0 1000 1000"
				xml:space="preserve"
			>
				<g>
					<path
						class="accent"
						class:active={'/settings' === activePage}
						d="M940.7,398.3l-93.9-18.8c-4.7-13.6-10.3-26.7-16.4-39.5l53.1-79.7c16.2-24.3,13-56.6-7.7-77.3L817,124.1c-27.6-27.6-62.2-17.7-77.3-7.7L660,169.6c-12.8-6.2-25.9-11.7-39.5-16.4l-18.8-93.9C596,30.6,570.8,10,541.7,10h-83.3c-29.2,0-54.3,20.6-60,49.3l-18.8,93.9c-13.6,4.7-26.7,10.3-39.5,16.4l-79.7-53.1c-15.1-10-49.7-20-77.3,7.7L124.1,183c-20.6,20.6-23.9,53-7.7,77.3l53.1,79.7c-6.2,12.8-11.7,25.9-16.4,39.5l-93.9,18.8C30.6,404,10,429.2,10,458.3v83.3c0,29.2,20.6,54.3,49.3,60l93.9,18.8c4.7,13.6,10.3,26.7,16.4,39.5l-53.1,79.7c-16.2,24.3-13,56.6,7.7,77.3l58.9,58.9c11.8,11.8,27.5,17.9,43.3,17.9c11.8,0,23.6-3.4,33.9-10.3l79.7-53.1c12.8,6.2,25.9,11.7,39.5,16.4l18.8,93.9c5.7,28.6,30.9,49.3,60,49.3h83.3c29.2,0,54.3-20.6,60.1-49.3l18.8-93.9c13.6-4.7,26.7-10.3,39.5-16.4l79.7,53.1c15.1,10,49.7,19.9,77.3-7.7l58.9-58.9c20.6-20.6,23.9-53,7.7-77.3L830.4,660c6.2-12.8,11.7-25.9,16.4-39.5l93.9-18.8c28.7-5.7,49.3-30.9,49.3-60v-83.3C990,429.2,969.4,404,940.7,398.3z M498.6,730.4c-128.6,0-232.8-104.2-232.8-232.8s104.2-232.8,232.8-232.8c128.6,0,232.8,104.2,232.8,232.8S627.2,730.4,498.6,730.4z"
					/>
					<path
						class="accent"
						class:active={'/settings' === activePage}
						d="M377.5,500c0,67.7,54.9,122.5,122.5,122.5c67.7,0,122.5-54.9,122.5-122.5c0-67.7-54.9-122.5-122.5-122.5C432.3,377.5,377.5,432.3,377.5,500L377.5,500z"
					/>
				</g>
			</svg>
		</a>

		<a href="/settings" class="nav-item-text accent" class:active={'/settings' === activePage}>Settings</a>
	</div>
</div>

<style>
	.nav-item {
		display: inline-flex;
		margin-top: auto;
		margin-bottom: auto;
	}

	.nav-item-text {
		padding-left: 10px;
		padding-right: 30px;
		/* Disable the user being able to highlight text */
		user-select: none;
	}

	.nav-item a {
		font-weight: 500;
		text-decoration: none;
	}

	.nav {
		display: inline-flex;
		justify-content: space-around;
		margin-top: 6px;
		background-color: #191919;
		margin-left: auto;
		margin-right: auto;
		bottom: 0;
		position: fixed;
		right: 0;
		left: 0;
		height: 4.5em;
	}

	svg {
		width: 52px;
		height: 52px;
		margin-top: auto;
		margin-bottom: auto;
	}

	.dark {
		fill: #777;
		opacity: calc(0.5);
	}

	.dark.active {
		/* fill: #5f3f6f; */
		fill: var(--accentColour);
		opacity: calc(0.5);
	}
	
	.accent {
		fill: #777;
		color: #999;
	}

	.accent.active {
		fill: var(--accentColour);
		color: var(--accentColour);
	}

	@media (max-width: 800px) {
		.nav-item-text {
			display: none;
		}
	}

	@media (min-width: 800px) {
		.nav-item-text {
			display: inline;
			margin-top: auto;
			margin-bottom: auto;
		}
	}
</style>
